Subject: Re: Looping without injection-date? (Re: Meta-level thought: Expectations of interworking?)

From: "Charles Lindsey" <[email-masked]>
Date: Mon, 5 Sep 2005 17:09:09 GMT

In <[email-masked]> Russ Allbery <[email-masked]> writes:

>Charles Lindsey <[email-masked]> writes:

>> There is no figure given for staleness in other circumstances, except
>> that it MUST be no later than the amount of history you keep (e.g. 7
>> days for your transit server). We probably ought to put a figure for
>> this in USEAGE, and it looks like 7 or 10 days would be about right.

>Yup.

OK, I have written the following paragraph into my current USEAGE text. I
will happily accept comments on it now, but otherwise it can be looked at
again when we get around to serious USEAGE discussion.

   For the purpose of preventing slowly propagating articles from being
   accepted a second time by agents from which they had already expired,
   [USEPRO] requires that a relaying agent reject as "stale" articles
   which predate "the earliest articles of which it normally keeps
   record". To this end, relaying agents SHOULD keep record of all
   articles received for at least 7 days.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

---

From: "Charles Lindsey" <[email-masked]>
Date: Mon, 5 Sep 2005 17:09:09 GMT